curl --request POST \
--url https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"reset": false
}
'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst"
payload = {
"question": "<string>",
"reset": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question: '<string>', reset: false})
};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'reset' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"reset\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"reset\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"reset\": false\n}"
response = http.request(request)
puts response.read_body{
"created": true,
"session": {
"computerUse": true,
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"credentialRefs": [
{
"credentialId": "<string>",
"vaultId": "<string>"
}
],
"credentialRefsConfigured": true,
"kind": "api_call",
"organizationId": "<string>",
"rootSessionId": "<string>",
"sessionId": "<string>",
"sessionPath": "<string>",
"status": "active",
"updatedAt": "2023-11-07T05:31:56Z",
"accessPolicy": "platform_internal",
"activeHandoff": {
"deadlineAt": "2023-11-07T05:31:56Z",
"handoffId": "<string>",
"reason": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"state": "awaiting_user",
"accessExpiresAt": "2023-11-07T05:31:56Z",
"wakeCause": "<string>"
},
"agentId": "<string>",
"agentSnapshot": {},
"agentVersionId": "<string>",
"budget": {
"continuesOnRaise": true,
"maxCostUsd": "10.00",
"agentCapUsd": "25.00",
"pendingAgentCapUsd": "<string>",
"spentUsd": "4.20"
},
"concurrencySlotHeld": true,
"costState": "final",
"costUsd": "1.234567",
"effectiveModel": "<string>",
"environmentId": "<string>",
"executionState": "provisioning",
"externalSourceId": "<string>",
"externalSourceType": "<string>",
"failure": {
"at": "2023-11-07T05:31:56Z",
"category": "transient",
"code": "<string>",
"message": "<string>",
"phase": "<string>",
"retryable": true
},
"forkedAtEventId": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"metadata": {},
"modelRefId": "<string>",
"modelSnapshot": {},
"parentSessionId": "<string>",
"projectId": "<string>",
"sandboxInstanceId": "<string>",
"sandboxProvider": "<string>",
"sourceRefs": {},
"stopReason": "<string>",
"userId": "<string>",
"vaultIds": [
"<string>"
],
"wakeAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_json",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "conflict",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unsupported_media_type",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "content_store_unconfigured",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Open the analyst for a fine-tuning job
Available only to organizations enabled for fine-tuning; any other organization receives 400 invalid_request on every fine-tuning operation. Returns the signed-in caller’s read-only conversation for this job. Public session responses omit the internal agent identifiers and snapshot and return an empty runtime config. An empty object reads the current conversation. A question starts the conversation if needed. Set reset to end the current conversation. Use managedAgentsSendSessionEventsV2 on the returned session for follow-up questions and managedAgentsStreamSessionEventsV2 to read the answers. Service credentials receive 403. Questions from out-of-credit or suspended tenants receive 403 session_start_not_admitted with details.reason out_of_credit or tenant_suspended.
curl --request POST \
--url https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"reset": false
}
'import requests
url = "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst"
payload = {
"question": "<string>",
"reset": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question: '<string>', reset: false})
};
fetch('https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => '<string>',
'reset' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst"
payload := strings.NewReader("{\n \"question\": \"<string>\",\n \"reset\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"<string>\",\n \"reset\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.recursion.labelbox.com/managed-agents/v2/fine-tuning-jobs/{jobId}/analyst")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"<string>\",\n \"reset\": false\n}"
response = http.request(request)
puts response.read_body{
"created": true,
"session": {
"computerUse": true,
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"credentialRefs": [
{
"credentialId": "<string>",
"vaultId": "<string>"
}
],
"credentialRefsConfigured": true,
"kind": "api_call",
"organizationId": "<string>",
"rootSessionId": "<string>",
"sessionId": "<string>",
"sessionPath": "<string>",
"status": "active",
"updatedAt": "2023-11-07T05:31:56Z",
"accessPolicy": "platform_internal",
"activeHandoff": {
"deadlineAt": "2023-11-07T05:31:56Z",
"handoffId": "<string>",
"reason": "<string>",
"requestedAt": "2023-11-07T05:31:56Z",
"state": "awaiting_user",
"accessExpiresAt": "2023-11-07T05:31:56Z",
"wakeCause": "<string>"
},
"agentId": "<string>",
"agentSnapshot": {},
"agentVersionId": "<string>",
"budget": {
"continuesOnRaise": true,
"maxCostUsd": "10.00",
"agentCapUsd": "25.00",
"pendingAgentCapUsd": "<string>",
"spentUsd": "4.20"
},
"concurrencySlotHeld": true,
"costState": "final",
"costUsd": "1.234567",
"effectiveModel": "<string>",
"environmentId": "<string>",
"executionState": "provisioning",
"externalSourceId": "<string>",
"externalSourceType": "<string>",
"failure": {
"at": "2023-11-07T05:31:56Z",
"category": "transient",
"code": "<string>",
"message": "<string>",
"phase": "<string>",
"retryable": true
},
"forkedAtEventId": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"metadata": {},
"modelRefId": "<string>",
"modelSnapshot": {},
"parentSessionId": "<string>",
"projectId": "<string>",
"sandboxInstanceId": "<string>",
"sandboxProvider": "<string>",
"sourceRefs": {},
"stopReason": "<string>",
"userId": "<string>",
"vaultIds": [
"<string>"
],
"wakeAt": "2023-11-07T05:31:56Z"
}
}{
"code": "invalid_json",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unauthorized",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "forbidden",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "not_found",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "conflict",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "payload_too_large",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "unsupported_media_type",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "rate_limit_exceeded",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "internal_error",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "bad_gateway",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "content_store_unconfigured",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}{
"code": "gateway_timeout",
"message": "<string>",
"details": {
"field": "<string>",
"issues": [
"<string>"
],
"requestId": "<string>",
"retryable": true
}
}Authorizations
Headers
Body
Open or continue an assistant conversation. An empty object returns the caller's conversation, if any; question asks (starting the conversation if needed); reset ends the current conversation.
A question for the assistant. Starts the caller's conversation when there is none, as its first turn; otherwise it is delivered to the existing conversation. Omitted, nothing is asked. At most 262,144 bytes (256 KiB) once surrounding whitespace is trimmed; a longer question is refused with 400 and nothing is asked.